Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85916

Summary: mozilla memory leak
Product: [Retired] Red Hat Linux Reporter: Gene Czarcinski <gczarcinski>
Component: mozillaAssignee: Christopher Blizzard <blizzard>
Status: CLOSED WONTFIX QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-10-27 19:25:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gene Czarcinski 2003-03-10 19:53:13 UTC
Description of problem:
This is related to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=83942

I have gotten my original report against galeon to also occur with mozilla.

There appears to be a memory leak of some sort when the mozilla process stays up
for a long time.  The memory usage grows over time (shown by the
gnome-system-monitor) starting with about 25MB and growing.  It still works OK
with about 45MB but becomes unusable when it had grown to 60MB.

Clearing the memory cache (set to 4096MB) has no effect.

Version-Release number of selected component (if applicable):
8.0.95+rawhide, mozilla 1.2.1-22

How reproducible:
yes

Comment 1 Gene Czarcinski 2003-03-11 07:28:57 UTC
Memory usage seems to grow even when minimized and left idle.  At some point
>60MB it seems to choak and become unusable.

Comment 2 Gene Czarcinski 2003-03-13 16:37:59 UTC
This probably shoyuld be reported upstream to http://bugzilla.mozilla.org

However, looking over their reporting it is not clear to me just what
package/component or version to report this under.  Any tips?

Comment 3 Gene Czarcinski 2003-03-13 21:13:16 UTC
Oh, this is going be fun (NOT) ...

I figured out how to file a bugzilla report for mozilla
http://bugzilla.mozilla.org/show_bug.cgi?id=197224

Unfortunately, I soon got the following:

------- Additional Comments From wolruf@free.fr  2003-03-13 11:24 -------
This is a known issue, Mozilla developers need some help on very precise steps
on how to reproduce the issue using latest build (1.2.1 is too old).
Unless you do so, this bug report will remain untouched or be marked INVALID.


I am not sure how to proceed from here.  This is not very helpful and I am not
that motivated to dig into this.  If I was, I would get the source code and do
some "instrumentation" or something.  In fact, it may be easier to just kill the
process off every so often and restart it.

To me, I would think that this was serious enough that there would be interest
in fixing it.  I find it had to believe that I am the only one see this.

Comment 4 Gene Czarcinski 2003-10-27 19:25:44 UTC
OBE